varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

// uniform mediump float u_time;
uniform sampler2D s_texture;


void main() 
{ 	
	mediump vec2 uv = m_texCoord;
	mediump float off = 0.0025;
	mediump vec4 blur = vec4(0.0, 0.0, 0.0, 0.0);
	
	/*for (float y=-1.0; y<=1.0; y+=0.5)	
	//mediump float y =0.0;
	{
		for (mediump float x=-1.0; x<=1.0; x+=0.5)
		{
			blur += texture2D(s_texture, vec2(m_texCoord.x+x*0.001, m_texCoord.y+y*0.001));
			// blur += texture2D(s_texture, vec2(m_texCoord+x*0.0015));
		}
	}*/

	// blur += texture2D(s_texture, m_texCoord);
	
	blur += texture2D(s_texture, vec2(m_texCoord.x-3.0*0.0025, m_texCoord.y));
	blur += texture2D(s_texture, vec2(m_texCoord.x-2.0*0.0025, m_texCoord.y));
	blur += texture2D(s_texture, vec2(m_texCoord.x-1.0*0.0025, m_texCoord.y));
	blur += texture2D(s_texture, vec2(m_texCoord.x+1.0*0.0025, m_texCoord.y));
	blur += texture2D(s_texture, vec2(m_texCoord.x+2.0*0.0025, m_texCoord.y));
	blur += texture2D(s_texture, vec2(m_texCoord.x+3.0*0.0025, m_texCoord.y));

	/*
	blur += texture2D(s_texture, vec2(m_texCoord.x, m_texCoord.y-3.0*0.0025));
	blur += texture2D(s_texture, vec2(m_texCoord.x, m_texCoord.y-2.0*0.0025));
	blur += texture2D(s_texture, vec2(m_texCoord.x, m_texCoord.y-1.0*0.0025));
	blur += texture2D(s_texture, vec2(m_texCoord.x, m_texCoord.y+1.0*0.0025));
	blur += texture2D(s_texture, vec2(m_texCoord.x, m_texCoord.y+2.0*0.0025));
	blur += texture2D(s_texture, vec2(m_texCoord.x, m_texCoord.y+3.0*0.0025));
	*/
	
	blur *= 0.16;
	
	/*
	texture2D(s_texture, vec2(uv.x-off, uv.y));
	blur += texture2D(s_texture, vec2(uv.x+off, uv.y));
	blur += texture2D(s_texture, vec2(uv.x, uv.y-off));
	blur += texture2D(s_texture, vec2(uv.x, uv.y+off));

	blur += texture2D(s_texture, vec2(uv.x-off, uv.y-off));
	blur += texture2D(s_texture, vec2(uv.x+off, uv.y+off));
	blur += texture2D(s_texture, vec2(uv.x+off, uv.y-off));
	blur += texture2D(s_texture, vec2(uv.x-off, uv.y+off));
	blur += texture2D(s_texture, vec2(uv.x-off, uv.y+off));
	*/
	
	// blur *= 0.125;

	// blur += texture2D(s_texture, vec2(uv.x, uv.y)).a;
	// blur *= 0.25;
			
	gl_FragColor = blur*m_color; 
}
