varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;
varying mediump vec4 m_shadow;

uniform sampler2D s_texture;

void main() 
{ 	
	mediump vec4 texc = texture2D(s_texture, m_texCoord);
	
	/*lowp float offset = 0.05;
	lowp float a = 1.0;
	a -= texture2D(s_texture, vec2(m_texCoord.x, m_texCoord.y-offset)).a;
	a += texture2D(s_texture, vec2(m_texCoord.x, m_texCoord.y+offset)).a;*/
	
	mediump vec4 c2 = texc * m_color + m_shadow;
	
	gl_FragColor = c2; 
}
