varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

// uniform mediump float u_time;
uniform sampler2D s_texture;
uniform sampler2D s_texture1;
uniform sampler2D s_texture2;
uniform sampler2D s_texture3;

void main() 
{ 	
	mediump vec2 uv = vec2(m_texCoord.x, m_texCoord.y) - 0.0065;
	mediump float shadow = texture2D(s_texture, uv).a;
	lowp vec4 color = texture2D(s_texture, m_texCoord);
	//shadow += texture2D(s_texture1, uv).a*0.001;
	//shadow += texture2D(s_texture2, uv).a*0.001;
	//shadow += texture2D(s_texture3, uv).a*0.001;
	//shadow += texture2D(s_texture3, uv-0.0025).a;
	//shadow += texture2D(s_texture3, uv+0.0025).a;
	
	shadow *= 0.65;
			
	gl_FragColor = vec4(0.0, 0.0, 0.0, shadow) + color*m_color; 
}
