varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

uniform sampler2D s_texture;

void main() 
{ 	
	mediump vec4 texc = texture2D(s_texture, m_texCoord);
	
	mediump vec4 c2 = texc;
	
	c2.a = 1.0 - c2.r;
	c2.r = 1.0; // 0.98;
	c2.g = 1.0; // 0.94;
	c2.b = 1.0; // 0.88;
	
	c2 *= m_color;
	
	gl_FragColor = c2; 
}
