attribute mediump vec4 a_pos;
attribute mediump vec4 a_color;
attribute mediump vec2 a_tex0;

uniform highp mat4 mat; 

varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;
varying mediump vec4 m_shadow;

void main(void)
{
	m_texCoord = a_tex0;
	m_color = a_color;

	// m_color.rgb += 0.2;
	// m_color.rgb *= 1.4;

	mediump vec4 p = mat * a_pos;
	
	//p.x *= 48.0;
	//p.y *= 32.0;
	
	//p.x = p.x - fract(p.x);
	//p.y = p.y - fract(p.y);
	
	//p.x /= 48.0;
	//p.y /= 32.0;

	
	gl_Position = p;
	m_pos = a_pos.xy * 0.10;
	
	mediump vec2 pp = vec2(0.85-m_pos.x, 1.55-m_pos.y);	
	
	mediump float sq = (pp.y * pp.y + pp.x*pp.x);
	
	mediump float sw = 1.0 - (sq) * 0.15;
	mediump float d = -clamp(sw*0.1, 0.0, 1.0);
	m_shadow = vec4(d, d, d, 0.0);

}
