varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

uniform sampler2D s_texture;
uniform mediump float u_transparency;

void main() 
{ 
	mediump vec4 v = texture2D(s_texture, m_texCoord);
	//mediump vec4 shadow = texture2D(s_texture, m_texCoord+0.001);
	// v += texture2D(s_texture, m_texCoord+0.001);
	
	//mediump vec4 c0 = vec4(0.0, 0.0, 0.0, shadow.r*1.4);	
	
	v.a = v.r * m_color.a * u_transparency; //  + 0.2;
	v.rgb = m_color.rgb;
	// v.rgb += vec4(0, 0, 0, shadow.a);
	// texc += 0.5;
		
	gl_FragColor = v; 
}
