varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

uniform sampler2D s_texture;
uniform sampler2D s_mask_texture;

void main() 
{ 	
	mediump vec4 texc = texture2D(s_texture, m_texCoord);
	mediump vec4 alphaTexc = texture2D(s_mask_texture, m_texCoord);
	
	mediump vec4 c2 = texc*m_color;
	c2.a *= alphaTexc.r;
	
	gl_FragColor = c2; 
}
