varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

// uniform mediump float u_time;
uniform sampler2D s_texture;


void main() 
{ 	
	mediump vec2 uv = m_texCoord+0.001;
	highp vec4 blur = vec4(0.0, 0.0, 0.0, 0.0);

	mediump float off = 0.0025;
	
	blur += texture2D(s_texture, vec2(uv.x-1.7*off, uv.y))*0.3;
	blur += texture2D(s_texture, vec2(uv.x-1.0*off, uv.y))*0.4;
	blur += texture2D(s_texture, vec2(uv.x, uv.y))*0.5;
	blur += texture2D(s_texture, vec2(uv.x+1.0*off, uv.y))*0.4;
	blur += texture2D(s_texture, vec2(uv.x+1.7*off, uv.y))*0.3;

	// blur *= 0.5;
			
	gl_FragColor = blur*m_color; 
}
