varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

uniform sampler2D s_texture;
uniform mediump float u_time;

void main() 
{ 	
	mediump vec2 tx = m_texCoord;

	mediump vec2 ttt;
	mediump vec2 tc = m_texCoord;
	
	mediump vec2 txt = tx - 0.5;
	mediump float dist = sqrt(txt.x*txt.x + txt.y*txt.y)*14.4 * ( 1.0 + sin(u_time*0.1)*0.3);
	txt.x *= 1.0 + cos((tc.y-0.5)*dist + u_time*1.5) *0.1;
	txt.y *= 1.0 + sin((tc.x-0.5)*dist + u_time*0.5) *0.1;
	txt += 0.5;
	mediump vec4 texc = texture2D(s_texture, txt);	
		
	mediump vec4 texc2 = texture2D(s_texture, txt - 0.0064);	

	mediump vec4 c2 = vec4(0.0, 0.0, 0.0, 0.0);
	
	if (texc2.a>0.0)
	{
		c2 += vec4(0.0, 0.0, 0.0, texc2.a*0.3);
	}

	c2 += texc * m_color;
	
	c2.rgb *= 0.1 + txt.x*2.0;
	
	gl_FragColor = c2; 
}
