attribute mediump vec4 a_pos;
attribute mediump vec4 a_color;
attribute mediump vec2 a_tex0;
attribute mediump vec2 a_tex1;

uniform highp mat4 mat; 

varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;
varying mediump vec2 m_maskTexCoord;

void main(void)
{
	m_texCoord = a_tex0;
	m_color = a_color;

	m_maskTexCoord.xy = a_tex1.xy;

	// m_color.rgb += 0.2;
	// m_color.rgb *= 1.4;

	mediump vec4 p = mat * a_pos;
	
	//p.x *= 48.0;
	//p.y *= 32.0;
	
	//p.x = p.x - fract(p.x);
	//p.y = p.y - fract(p.y);
	
	//p.x /= 48.0;
	//p.y /= 32.0;
	
	gl_Position = p;
	m_pos = a_pos.xy;
}
