attribute mediump vec4 a_pos;
attribute mediump vec4 a_color;
attribute mediump vec2 a_tex0;

uniform highp mat4 mat; 

varying mediump vec2 m_pos; 
varying mediump vec4 m_color;
varying mediump vec2 m_texCoord;

void main(void)
{
	m_texCoord = a_tex0; //  - 0.0015625;
	m_color = a_color;
		
	mediump vec4 p = mat * a_pos;

	gl_Position = p;
	m_pos = a_pos.xy;
}
